Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Properties | List of all members
Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel Class Reference

Viewmodel for simulation control. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel:

## Classes
class | CellularTopologyMessage
| Class for sending message with built cellular topology.
class | SwitchToConstructionModeMessage
| Class for sending message about switching top panel to construction panel.

## Properties
double | SimulationSpeed`[get]`
| Simulation speed. More...
int | Seed`[get]`
| Seed for generator of random numbers. More...
int | CustomSeed`[get, set]`
| Seed for generator of random numbers to be set. More...
bool | IsPreviousSeedAvailable`[get, set]`
| Determines whether there is previous seed available from any previous simulation. More...
bool | IsPreviousSeedUsed`[get, set]`
| Determines whether to use the last used seed in previous simulation. More...
bool | IsSeedSettingAutomatic`[get, set]`
| Determines whether to use custom seed. More...
ulong | SimulationSteps`[get]`
| Number of simulation steps More...
ulong | SimulationStepsToPause`[get, set]`
| The number of simulation steps when the simulation control will pause the simulation. More...
ulong | SimulationStepsToPauseToSet`[get, set]`
| The number of simulation steps to pause the simulation by simulation control to be set. More...
TimeSpan | ModelTime`[get]`
| Simulation model time. More...
TimeSpan | ModelTimeToPause`[get, set]`
| Simulation model time when the simulation will be paused. More...
TimeSpan | ModelTimeToPauseToSet`[get, set]`
| Simulation model time to pause to be set when command for setting the model time to pause is executed. More...
double | CustomSimulationSpeed`[get, set]`
| Custom simulation speed to set More...
bool | IsMaxSimulationSpeed`[get, set]`
| Determine whether the maximum simulation speed is set by user. More...
bool | IsNotMaxSimulationSpeed`[get]`
| Negation of isMaxSimulationSpeed More...
ICommand | SwitchToConstructionModeCommand`[get]`
| Command to switch to construction mode. More...
ICommand | ForwardCommand`[get]`
| Command to run simulation. More...
ICommand | ForwardStepCommand`[get]`
| Command to perform one step in simulation. More...
ICommand | StopCommand`[get]`
| Command to stop simulation. More...
ICommand | PauseCommand`[get]`
| Command to pause simulation. More...
ICommand | FasterCommand`[get]`
| Command to inrease speed of the simulation. More...
ICommand | SlowerCommand`[get]`
| Command to inrease speed of the simulation. More...
ICommand | CustomSimulationSpeedCommand`[get]`
| Command to setting custom simulation speed. More...
ICommand | RestartCommand`[get]`
| Command for restarting simulation. More...
ICommand | ApplyTimeAlarmCommand`[get]`
| Command for setting model time alarm. More...
ICommand | ApplySimulationStepsAlarmCommand`[get]`
| Command for setting simulation steps alarm. More...
ICommand | ResetModelTimeAlarmCommand`[get]`
| Command for resetting model time alarm. More...
ICommand | ResetSimulationStepsAlarmCommand`[get]`
| Command for resetting simulation steps alarm. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
virtual bool | ThrowOnInvalidPropertyName`[get]`
| Returns whether an exception is thrown, or if a Debug.Fail() is used when an invalid property name is passed to the VerifyPropertyName method. The default value is false, but subclasses used by unit tests might override this property's getter to return true. More...

## Additional Inherited Members
Public Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
void | VerifyPropertyName (string propertyName)
| Warns the developer if this object does not have a public property with the specified name. This method does not exist in a Release build. More...
void | Dispose ()
| Invoked when this object is being removed from the application and will be subject to garbage collection. More...
Protected Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
| ViewModelBase ()
| Create viewmodel base. More...
virtual void | OnPropertyChanged (string propertyName)
| Raises this object's PropertyChanged event. More...
virtual void | OnDispose ()
| Child classes can override this method to perform clean-up logic, such as removing event handlers. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
Messenger | messenger
| Instance of messenger for communicating between view models. More...
Events inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
PropertyChangedEventHandler | PropertyChanged
| Raised when a property on this object has a new value. More...

## Detailed Description

Viewmodel for simulation control.

Definition at line 14 of file SimulationControlViewModel.cs.

## Property Documentation

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ApplySimulationStepsAlarmCommand
| get

Command for setting simulation steps alarm.

Definition at line 448 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ApplyTimeAlarmCommand
| get

Command for setting model time alarm.

Definition at line 428 of file SimulationControlViewModel.cs.

int Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.CustomSeed
| get set

Seed for generator of random numbers to be set.

Definition at line 65 of file SimulationControlViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.CustomSimulationSpeed
| get set

Custom simulation speed to set

Definition at line 172 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.CustomSimulationSpeedCommand
| get

Command to setting custom simulation speed.

Definition at line 382 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.FasterCommand
| get

Command to inrease speed of the simulation.

Definition at line 334 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ForwardCommand
| get

Command to run simulation.

Definition at line 258 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ForwardStepCommand
| get

Command to perform one step in simulation.

Definition at line 277 of file SimulationControlViewModel.cs.

bool Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.IsMaxSimulationSpeed
| get set

Determine whether the maximum simulation speed is set by user.

Definition at line 213 of file SimulationControlViewModel.cs.

bool Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.IsNotMaxSimulationSpeed
| get

Negation of isMaxSimulationSpeed

Definition at line 228 of file SimulationControlViewModel.cs.

bool Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.IsPreviousSeedAvailable
| get set

Determines whether there is previous seed available from any previous simulation.

Definition at line 71 of file SimulationControlViewModel.cs.

bool Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.IsPreviousSeedUsed
| get set

Determines whether to use the last used seed in previous simulation.

Definition at line 88 of file SimulationControlViewModel.cs.

bool Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.IsSeedSettingAutomatic
| get set

Determines whether to use custom seed.

Definition at line 102 of file SimulationControlViewModel.cs.

TimeSpan Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ModelTime
| get

Simulation model time.

Definition at line 141 of file SimulationControlViewModel.cs.

TimeSpan Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ModelTimeToPause
| get set

Simulation model time when the simulation will be paused.

Definition at line 149 of file SimulationControlViewModel.cs.

TimeSpan Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ModelTimeToPauseToSet
| get set

Simulation model time to pause to be set when command for setting the model time to pause is executed.

Definition at line 162 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.PauseCommand
| get

Command to pause simulation.

Definition at line 315 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ResetModelTimeAlarmCommand
| get

Command for resetting model time alarm.

Definition at line 468 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.ResetSimulationStepsAlarmCommand
| get

Command for resetting simulation steps alarm.

Definition at line 487 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.RestartCommand
| get

Command for restarting simulation.

Definition at line 405 of file SimulationControlViewModel.cs.

int Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.Seed
| get

Seed for generator of random numbers.

Definition at line 60 of file SimulationControlViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SimulationSpeed
| get

Simulation speed.

Definition at line 49 of file SimulationControlViewModel.cs.

ulong Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SimulationSteps
| get

Number of simulation steps

Definition at line 115 of file SimulationControlViewModel.cs.

ulong Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SimulationStepsToPause
| get set

The number of simulation steps when the simulation control will pause the simulation.

Definition at line 123 of file SimulationControlViewModel.cs.

ulong Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SimulationStepsToPauseToSet
| get set

The number of simulation steps to pause the simulation by simulation control to be set.

Definition at line 135 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SlowerCommand
| get

Command to inrease speed of the simulation.

Definition at line 358 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.StopCommand
| get

Command to stop simulation.

Definition at line 296 of file SimulationControlViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.SimulationControlViewModel.SwitchToConstructionModeCommand
| get

Command to switch to construction mode.

Definition at line 238 of file SimulationControlViewModel.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/SimulationControlViewModel.cs